[SCM] kinit packaging branch, master, updated. debian/5.42.0-2-3-g889bfeb

Maximiliano Curia maxy at moszumanska.debian.org
Sun Feb 11 10:17:32 UTC 2018


Gitweb-URL: http://git.debian.org/?p=pkg-kde/frameworks/kinit.git;a=commitdiff;h=0c3e343

The following commit has been merged in the master branch:
commit 0c3e3430a5c5c262049f75ff078dffd73faca74b
Author: Maximiliano Curia <maxy at gnuservers.com.ar>
Date:   Sun Feb 11 10:41:52 2018 +0100

    Set start_kdeinit capabilities in postinst
---
 debian/control           |  2 +-
 debian/kinit.postinst.in | 19 +++++++++++++++++++
 debian/rules             |  7 +++++++
 3 files changed, 27 insertions(+), 1 deletion(-)

diff --git a/debian/control b/debian/control
index 201f610..8e2c3d5 100644
--- a/debian/control
+++ b/debian/control
@@ -25,7 +25,7 @@ Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kinit.git
 
 Package: kinit
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libcap2-bin [linux-any], ${misc:Depends}, ${shlibs:Depends}
 Description: process launcher to speed up launching KDE applications
  kdeinit is a process launcher somewhat similar to the
  famous init used for booting UNIX.
diff --git a/debian/kinit.postinst.in b/debian/kinit.postinst.in
new file mode 100644
index 0000000..1f44274
--- /dev/null
+++ b/debian/kinit.postinst.in
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = configure ]; then
+    # Set the capabilities
+    if command -v setcap > /dev/null && \
+       setcap "CAP_SYS_RESOURCE=+ep" \
+            "/usr/lib/#MULTIARCH#/libexec/kf5/start_kdeinit"; then
+        echo "Sucessfully setting capabilities for start_kdeinit"
+    else
+        echo "Failed to set capabilities for start_kdeinit" >&2
+    fi
+fi
+
+#DEBHELPER#
+
+exit 0
+
diff --git a/debian/rules b/debian/rules
index ed9fcf9..4b24030 100755
--- a/debian/rules
+++ b/debian/rules
@@ -3,8 +3,15 @@
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 %:
 	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='kinit-dbg (<= 5.19.0-1~~)'
+
+override_dh_installdeb:
+	sed 's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/' \
+	    debian/kinit.postinst.in > debian/kinit.postinst
+	dh_installdeb

-- 
kinit packaging



More information about the pkg-kde-commits mailing list